Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.dics.protocol.v1
Class GetParagraphExclusionsResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.dics.protocol.v1.GetParagraphExclusionsResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:13:06+02:00",
               comments="JAXB RI v2.2.6")
    public class GetParagraphExclusionsResponse

extends ResponseType
implements Serializable

Java class for GetParagraphExclusionsResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetParagraphExclusionsResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}ResponseType">
           <sequence>
             <element name="ExcludedParagraph" type="{urn:be:fgov:ehealth:dics:core:v1}ExcludedParagraphType" maxOccurs="unbounded" minOccurs="0"/>
             <element name="UnstructuredExclusionRule" type="{urn:be:fgov:ehealth:dics:core:v1}UnstructuredExclusionRuleType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetParagraphExclusionsResponse()`

Method Summary
`List<ExcludedParagraphType>` | `getExcludedParagraphs()` Gets the value of the excludedParagraphs property.
`List<UnstructuredExclusionRuleType>` | `getUnstructuredExclusionRules()` Gets the value of the unstructuredExclusionRules property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetParagraphExclusionsResponse

    public GetParagraphExclusionsResponse()

Method Detail

### getExcludedParagraphs

    public List<ExcludedParagraphType> getExcludedParagraphs()

  Gets the value of the excludedParagraphs property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the excludedParagraphs property.

  For example, to add a new item, do as follows:

          getExcludedParagraphs().add(newItem);

  Objects of the following type(s) are allowed in the list `ExcludedParagraphType`

### getUnstructuredExclusionRules

    public List<UnstructuredExclusionRuleType> getUnstructuredExclusionRules()

  Gets the value of the unstructuredExclusionRules property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the unstructuredExclusionRules property.

  For example, to add a new item, do as follows:

          getUnstructuredExclusionRules().add(newItem);

  Objects of the following type(s) are allowed in the list `UnstructuredExclusionRuleType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.